geounits: List geographic units

API: unesco.org:unesco-institute-for-statistics-api
Endpoint: /api/public/definitions/geounits
Response format: application/json
Charset: utf-8
Auth: unknown
Method: GET
Last Status: 200
Latency: 467ms

Description

Returns a list of all available geographic units (countries, regions, etc.) with their ISO 3-letter codes, names, and types. Use this to discover valid geoUnit values for data queries.

From spec: Returns a list of all available geographic units (countries, regions, etc.) with their IDs, names, and types.

Usage Tips

- No authentication required - Use these ISO 3-letter codes (e.g., USA, FRA, DEU) in the /data/indicators endpoint - Type field indicates NATIONAL, REGIONAL, etc.

Parameters (1)

geoUnitType (string, query, optional)

Filter by geographic unit type (e.g., NATIONAL, REGIONAL)

Constraints: {'enum': ['NATIONAL', 'REGIONAL']}

Examples (1)

List all geographic units (countries and regions) probe-gate

Demonstrates retrieving all available geographic units with their ISO codes

curl 'https://api.uis.unesco.org/api/public/definitions/geounits'
import requests

resp = requests.get("https://api.uis.unesco.org/api/public/definitions/geounits")
data = resp.json()
import zingu_apis

api = zingu_apis.api("unesco-institute-for-statistics")
result = api.fetch("api/public/definitions/geounits")

for item in result:
    print(item)
const resp = await fetch("https://api.uis.unesco.org/api/public/definitions/geounits");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 16:42:41.100582 200 467ms
2026-04-16 02:05:08.560711 200 181ms
2026-04-15 01:22:09.936816 200 162ms
2026-04-14 01:35:47.248783 200 150ms
2026-04-12 14:56:19.915468 200 166ms
2026-04-10 00:57:14.929854 200 107ms
2026-04-09 00:52:35.565713 200 171ms
2026-04-08 07:53:43.893583 200 99ms
2026-04-07 00:12:44.318953 200 153ms
2026-04-06 05:34:18.778318 200 194ms
2026-04-05 02:46:11.244731 200 195ms
2026-04-04 02:41:15.911883 200 141ms
2026-04-03 12:12:24.639186 200 213ms
2026-03-30 12:02:08.561224 ERR
2026-03-29 18:06:24.921189 200 544ms